Skip to main content
DELETE
/
api-keys
/
{api_key_id}
Delete API key
curl --request DELETE \
  --url https://api.coval.dev/v1/api-keys/{api_key_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/api-keys/{api_key_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/api-keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "UNAUTHENTICATED",
    "message": "Authentication failed",
    "details": [
      {
        "field": "X-API-Key",
        "description": "Invalid or missing API key"
      }
    ]
  }
}
{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "API key does not have required permission: api-keys:write"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "API key not found",
"details": [
{
"field": "api_key_id",
"description": "API key not found or not accessible by your organization"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

api_key_id
string
required

API key resource ID (ULID, 26 characters)

Pattern: ^[0-9A-Z]{26}$

Response

API key deleted successfully (no content)